"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rules = require("@commitlint/rules");
const multiscope = (parsed, when, value = {}) => {
    if (!parsed.scope) {
        return [true, ''];
    }
    const { delimiter = ',', enum: enumValue = [], case: caseValue = 'lower-case' } = value;
    const scopes = parsed.scope.split(delimiter);
    const { ['scope-enum']: enumRule, ['scope-case']: caseRule } = rules;
    const scopeRules = [
        [enumRule, enumValue],
        [caseRule, caseValue],
    ];
    let result = [true, ''];
    scopeRules.every(([rule, ruleValue]) => {
        return scopes.every(scope => {
            const commit = { ...parsed, scope };
            result = rule(commit, when, ruleValue);
            return result[0];
        });
    });
    return result;
};
exports.default = multiscope;
//# sourceMappingURL=multiscope.js.map